hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Eric Yang (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HIVE-17126) Hive Metastore is incompatible with MariaDB 10.x
Date Wed, 09 Aug 2017 21:00:04 GMT

     [ https://issues.apache.org/jira/browse/HIVE-17126?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Eric Yang resolved HIVE-17126.
------------------------------
    Resolution: Not A Problem

I am incline to close this issue as user error for mismatching mysql-connector-java driver
with mariadb versions.

> Hive Metastore is incompatible with MariaDB 10.x
> ------------------------------------------------
>
>                 Key: HIVE-17126
>                 URL: https://issues.apache.org/jira/browse/HIVE-17126
>             Project: Hive
>          Issue Type: Bug
>          Components: Metastore
>    Affects Versions: 1.2.0, 1.1.0, 2.0.0
>            Reporter: Eric Yang
>
> MariaDB 10.x is commonly used for cheap RDBMS high availability.  Hive usage of Datanucleus
is currently preventing Hive Metastore to use MariaDB 10.x as highly available metastore.
Datanucleus generate SQL statements that are not parsable by MariaDB 10.x when dropping Hive
table or database schema.  Without MariaDB HA setup, the SQL statement problem also exists
for metastore interaction with MariaDB 10.x.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message